Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove
Class SignatureType

    java.lang.Object
      edu.harvard.hul.ois.jhove.EnumerationType
          edu.harvard.hul.ois.jhove.SignatureType

    public final class SignatureType

extends EnumerationType

This class defines enumerated types for a Signature in a module. Applications will not create or modify SignatureTypes, but will use one of the predefined SignatureType instances EXTENSION, FILETYPE, or MAGIC.

See Also:
  `Signature`

Field Summary
`static SignatureType` | `EXTENSION` Signature type for a file extension, i.e., a sequence of characters following a period character in a file name.
`static SignatureType` | `FILETYPE` Signature type for a Macintosh OS file type.
`static SignatureType` | `MAGIC` Signature type for a "magic number" stored in the file.

Method Summary

Methods inherited from class edu.harvard.hul.ois.jhove.EnumerationType
`equals, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### EXTENSION

    public static final SignatureType EXTENSION

  Signature type for a file extension, i.e., a sequence of characters following a period character in a file name.

### FILETYPE

    public static final SignatureType FILETYPE

  Signature type for a Macintosh OS file type. This applies only to Mac OS files, and is always a four-character code.

### MAGIC

    public static final SignatureType MAGIC

  Signature type for a "magic number" stored in the file.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD